/// <reference types="node" />
import { AnyAppDescriptor, AppVersionDescriptor, PackagePath } from 'ern-core';
import fs from 'fs';
export default class Ensure {
    static isValidElectrodeNativeModuleName(name: string, extraErrorMessage?: string): void;
    static isValidNpmPackageName(name: string, extraErrorMessage?: string): void;
    static isNewerContainerVersion(descriptor: string | AppVersionDescriptor, containerVersion: string, extraErrorMessage?: string): Promise<void>;
    static noGitOrFilesystemPath(obj: string | PackagePath | (string | PackagePath)[] | void, extraErrorMessage?: string): void;
    static noFileSystemPath(obj: string | string[], extraErrorMessage?: string): void;
    static napDescritorExistsInCauldron(d: string | AnyAppDescriptor | (string | AnyAppDescriptor)[], extraErrorMessage?: string): Promise<void>;
    static sameNativeApplicationAndPlatform(descriptors: (string | AppVersionDescriptor)[], extraErrorMessage?: string): void;
    static napDescritorDoesNotExistsInCauldron(d: AnyAppDescriptor | string, extraErrorMessage?: string): Promise<void>;
    static publishedToNpm(obj: string | PackagePath | (string | PackagePath)[], extraErrorMessage?: string): Promise<void>;
    static miniAppNotInNativeApplicationVersionContainer(obj: string | PackagePath | (string | PackagePath)[] | void, napDescriptor: AppVersionDescriptor, extraErrorMessage?: string): Promise<void>;
    static dependencyNotInNativeApplicationVersionContainer(obj: string | PackagePath | (string | PackagePath)[] | void, napDescriptor: AppVersionDescriptor, extraErrorMessage?: string): Promise<void>;
    static miniAppIsInNativeApplicationVersionContainer(obj: string | PackagePath | (string | PackagePath)[] | void, napDescriptor: AppVersionDescriptor, extraErrorMessage?: string): Promise<void>;
    static dependencyIsInNativeApplicationVersionContainer(obj: string | PackagePath | (string | PackagePath)[] | void, napDescriptor: AppVersionDescriptor, extraErrorMessage?: string): Promise<void>;
    static miniAppIsInNativeApplicationVersionContainerWithDifferentVersion(obj: string | PackagePath | (string | PackagePath)[] | void, napDescriptor: AppVersionDescriptor, extraErrorMessage?: string): Promise<void>;
    static dependencyIsInNativeApplicationVersionContainerWithDifferentVersion(obj: string | PackagePath[] | (string | PackagePath)[] | void, napDescriptor: AppVersionDescriptor, extraErrorMessage?: string): Promise<void>;
    static dependencyNotInUseByAMiniApp(obj: string | PackagePath | (string | PackagePath)[] | void, napDescriptor: AppVersionDescriptor, extraErrorMessage?: string): Promise<void>;
    static dependencyIsOrphaned(obj: string | PackagePath | (string | PackagePath)[] | void, napDescriptor: AppVersionDescriptor, extraErrorMessage?: string): Promise<void>;
    static cauldronIsActive(extraErrorMessage?: string): Promise<void>;
    static pathExist(p: fs.PathLike, extraErrorMessage?: string): Promise<void>;
    static isFilePath(p: fs.PathLike, extraErrorMessage?: string): Promise<void>;
    static isDirectoryPath(p: fs.PathLike, extraErrorMessage?: string): Promise<void>;
    static checkIfCodePushOptionsAreValid(descriptors?: (string | AppVersionDescriptor)[], targetBinaryVersion?: string, semVerDescriptor?: string, extraErrorMessage?: string): void;
    static isValidPlatformConfig(key: string, extraErrorMessage?: string): void;
    static isSupportedMiniAppOrJsApiImplVersion(obj: string | PackagePath | (string | PackagePath)[] | void, extraErrorMessage?: string): void;
    static isContainerPath(path: string, extraErrorMessage?: string): void;
    static isEnvVariableDefined(envVarName: string, extraErrorMessage?: string): void;
    static manifestIdExists(manifestId: string, extraErrorMessage?: string): Promise<void>;
    static bundleStoreUrlSetInCauldron(extraErrorMessage?: string): Promise<void>;
    static bundleStoreAccessKeyIsSet(extraErrorMessage?: string): void;
    static metroServerIsNotRunning(host: string, port: string, extraErrorMessage?: string): Promise<void>;
}
