import { AppVersionDescriptor, PackagePath } from 'ern-core';
export declare function performCodePushPatch(napDescriptor: AppVersionDescriptor, deploymentName: string, label: string, { description, isDisabled, isMandatory, rollout, }?: {
    description?: string;
    isDisabled?: boolean;
    isMandatory?: boolean;
    rollout?: number;
}): Promise<void>;
export declare function performCodePushPromote(sourceNapDescriptor: AppVersionDescriptor, targetNapDescriptors: AppVersionDescriptor[], sourceDeploymentName: string, targetDeploymentName: string, { description, disableDuplicateReleaseError, force, label, mandatory, reuseReleaseBinaryVersion, rollout, skipNativeDependenciesVersionAlignedCheck, targetBinaryVersion, }?: {
    description?: string;
    disableDuplicateReleaseError?: boolean;
    force?: boolean;
    label?: string;
    mandatory?: boolean;
    reuseReleaseBinaryVersion?: boolean;
    rollout?: number;
    skipNativeDependenciesVersionAlignedCheck?: boolean;
    targetBinaryVersion?: string;
}): Promise<void>;
export declare function performCodePushOtaUpdate(napDescriptor: AppVersionDescriptor, deploymentName: string, miniApps: PackagePath[], jsApiImpls: PackagePath[], { baseComposite, codePushIsMandatoryRelease, codePushRolloutPercentage, description, disableDuplicateReleaseError, force, pathToYarnLock, sourceMapOutput, targetBinaryVersion, }?: {
    baseComposite?: PackagePath;
    codePushIsMandatoryRelease?: boolean;
    codePushRolloutPercentage?: number;
    description?: string;
    disableDuplicateReleaseError?: boolean;
    force?: boolean;
    pathToYarnLock?: string;
    sourceMapOutput?: string;
    targetBinaryVersion?: string;
}): Promise<void>;
export declare function buildCodePushTargetBinaryVersion(napDescriptor: AppVersionDescriptor, deploymentName: string): Promise<string>;
export declare function applyVersionModifiers({ deploymentName, targetBinaryVersion, versionModifiers, }: {
    deploymentName: string;
    targetBinaryVersion: string;
    versionModifiers: {
        deploymentName: string;
        modifier: string;
    }[];
}): string;
export declare function removeZeroPatchDigit({ targetBinaryVersion, }: {
    targetBinaryVersion: string;
}): string;
export declare function getCodePushAppName(napDescriptor: AppVersionDescriptor): Promise<string>;
export declare function orderPackagePaths(referencePackagePaths: PackagePath[], packagePaths: PackagePath[]): PackagePath[];
