import { Composite, GeneratedComposite } from 'ern-composite-gen';
import { AppVersionDescriptor, PackagePath, YarnLockParser } from 'ern-core';
export declare function runLocalCompositeGen({ baseComposite, jsApiImpls, metroExtraNodeModules, miniApps, outDir, resolutions, }: {
    baseComposite?: PackagePath;
    jsApiImpls?: PackagePath[];
    metroExtraNodeModules?: {
        [pkg: string]: string;
    };
    miniApps: PackagePath[];
    outDir: string;
    resolutions?: {
        [pkg: string]: string;
    };
}): Promise<GeneratedComposite>;
export declare function runCauldronCompositeGen(napDescriptor: AppVersionDescriptor, { baseComposite, outDir, favorGitBranches, }: {
    baseComposite?: PackagePath;
    outDir: string;
    favorGitBranches?: boolean;
}): Promise<GeneratedComposite>;
export declare function validateCompositeNativeDependencies(composite: Composite): Promise<void>;
export declare function logResolvedAndMismatchingDependenciesTree(composite: Composite, resolution: {
    pluginsWithMismatchingVersions: string[];
    resolved: PackagePath[];
}): void;
export declare function logResolvedDependenciesTree(composite: Composite, resolution: {
    pluginsWithMismatchingVersions: string[];
    resolved: PackagePath[];
}): void;
export declare function logMismatchingDependenciesTree(composite: Composite, resolution: {
    pluginsWithMismatchingVersions: string[];
    resolved: PackagePath[];
}): void;
export declare function logDependenciesTree(parser: YarnLockParser, deps: PackagePath[], logLevel: 'debug' | 'error'): void;
