import { ContainerGenResult } from 'ern-container-gen';
import { Composite } from 'ern-composite-gen';
import { AppVersionDescriptor, BundlingResult, NativePlatform, PackagePath } from 'ern-core';
export declare function runLocalContainerGen(platform: NativePlatform, composite: Composite, { outDir, ignoreRnpmAssets, jsMainModuleName, extra, sourceMapOutput, devJsBundle, resetCache, }: {
    outDir?: string;
    ignoreRnpmAssets?: boolean;
    jsMainModuleName?: string;
    extra?: any;
    sourceMapOutput?: string;
    devJsBundle?: boolean;
    resetCache?: boolean;
}): Promise<ContainerGenResult>;
export declare function runCauldronContainerGen(napDescriptor: AppVersionDescriptor, composite: Composite, { devJsBundle, jsMainModuleName, outDir, resetCache, sourceMapOutput, }?: {
    devJsBundle?: boolean;
    jsMainModuleName?: string;
    outDir?: string;
    resetCache?: boolean;
    sourceMapOutput?: string;
}): Promise<ContainerGenResult>;
export declare function runCaudronBundleGen(napDescriptor: AppVersionDescriptor, { baseComposite, compositeDir, outDir, resetCache, resolutions, }: {
    baseComposite?: PackagePath;
    compositeDir?: string;
    outDir: string;
    resetCache?: boolean;
    resolutions?: {
        [pkg: string]: string;
    };
}): Promise<BundlingResult>;
