"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateContainerForRunner = void 0;
const ern_core_1 = require("ern-core");
const container_1 = require("./container");
const composite_1 = require("./composite");
async function generateContainerForRunner(platform, { baseComposite, napDescriptor, miniApps = [], jsApiImpls = [], outDir, jsMainModuleName, extra, }) {
    var _a, _b;
    if (napDescriptor) {
        const composite = await ern_core_1.kax.task('Generating Composite from Cauldron').run((0, composite_1.runCauldronCompositeGen)(napDescriptor, {
            baseComposite,
            outDir: (0, ern_core_1.createTmpDir)(),
        }));
        return ern_core_1.kax.task('Generating Container from Cauldron').run((0, container_1.runCauldronContainerGen)(napDescriptor, composite, {
            jsMainModuleName,
            outDir,
        }));
    }
    else {
        const composite = await ern_core_1.kax.task('Generating Composite locally').run((0, composite_1.runLocalCompositeGen)({
            baseComposite,
            jsApiImpls,
            metroExtraNodeModules: (_a = extra === null || extra === void 0 ? void 0 : extra.compositeGenerator) === null || _a === void 0 ? void 0 : _a.metroExtraNodeModules,
            miniApps,
            outDir: (0, ern_core_1.createTmpDir)(),
            resolutions: (_b = extra === null || extra === void 0 ? void 0 : extra.compositeGenerator) === null || _b === void 0 ? void 0 : _b.resolutions,
        }));
        return ern_core_1.kax.task('Generating Container locally').run((0, container_1.runLocalContainerGen)(platform, composite, {
            extra: extra || {},
            jsMainModuleName,
            outDir,
        }));
    }
}
exports.generateContainerForRunner = generateContainerForRunner;
//# sourceMappingURL=generateContainerForRunner.js.map