"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getBinaryStoreFromCauldron = void 0;
const ern_cauldron_api_1 = require("ern-cauldron-api");
const ern_core_1 = require("ern-core");
async function getBinaryStoreFromCauldron() {
    const cauldron = await (0, ern_cauldron_api_1.getActiveCauldron)();
    const binaryStoreConfig = await cauldron.getBinaryStoreConfig();
    if (!binaryStoreConfig) {
        throw new Error('No binary store configuration was found in Cauldron');
    }
    return new ern_core_1.ErnBinaryStore(binaryStoreConfig);
}
exports.getBinaryStoreFromCauldron = getBinaryStoreFromCauldron;
//# sourceMappingURL=getBinaryStoreFromCauldron.js.map