"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getRunnerGeneratorForPlatform = void 0;
const ern_runner_gen_android_1 = require("ern-runner-gen-android");
const ern_runner_gen_ios_1 = require("ern-runner-gen-ios");
function getRunnerGeneratorForPlatform(platform) {
    switch (platform) {
        case 'android':
            return new ern_runner_gen_android_1.AndroidRunnerGenerator();
        case 'ios':
            return new ern_runner_gen_ios_1.IosRunnerGenerator();
        default:
            throw new Error(`Unsupported platform : ${platform}`);
    }
}
exports.getRunnerGeneratorForPlatform = getRunnerGeneratorForPlatform;
//# sourceMappingURL=getRunnerGeneratorForPlatform.js.map