import { GitHubApi, PackagePath } from 'ern-core';
export declare function getGitHubApi({ owner, repo, }: {
    owner: string;
    repo: string;
}): Promise<GitHubApi>;
export declare function createBranch({ name, packages, }: {
    name: string;
    packages: PackagePath[];
}): Promise<void>;
export declare function createTag({ name, packages, }: {
    name: string;
    packages: PackagePath[];
}): Promise<void>;
export declare function createBranchOrTag({ name, packages, type, }: {
    name: string;
    packages: PackagePath[];
    type: 'branch' | 'tag';
}): Promise<void>;
export declare function deleteBranch({ name, packages, }: {
    name: string;
    packages: PackagePath[];
}): Promise<void>;
export declare function deleteTag({ name, packages, }: {
    name: string;
    packages: PackagePath[];
}): Promise<void>;
export declare function deleteBranchOrTag({ name, packages, type, }: {
    name: string;
    packages: PackagePath[];
    type: 'branch' | 'tag';
}): Promise<void>;
export declare function alignPackageJsonOnManifest({ manifestId, packages, }: {
    manifestId: string;
    packages: PackagePath[];
}): Promise<void>;
