"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.launchOnSimulator = void 0;
const ern_core_1 = require("ern-core");
const buildIosRunner_1 = require("./buildIosRunner");
async function launchOnSimulator(pathToIosRunner, { launchArgs, launchEnvVars, } = {}) {
    const iPhoneSim = await ern_core_1.ios.askUserToSelectAniPhoneSimulator();
    ern_core_1.kax.info('Killing all running Simulators');
    ern_core_1.ios.killAllRunningSimulators();
    await ern_core_1.kax
        .task('Booting iOS Simulator')
        .run(ern_core_1.ios.launchSimulator(iPhoneSim.udid));
    ern_core_1.shell.pushd(pathToIosRunner);
    try {
        await ern_core_1.kax
            .task('Building iOS Runner project')
            .run((0, buildIosRunner_1.buildIosRunner)(pathToIosRunner, iPhoneSim.udid));
        await ern_core_1.kax
            .task('Installing iOS Runner on Simulator')
            .run(ern_core_1.ios.installApplicationOnSimulator(iPhoneSim.udid, `${pathToIosRunner}/build/Debug-iphonesimulator/ErnRunner.app`));
        await ern_core_1.kax.task('Launching Runner').run(ern_core_1.ios.launchApplication(iPhoneSim.udid, 'com.yourcompany.ernrunner', {
            launchArgs,
            launchEnvVars,
        }));
    }
    finally {
        ern_core_1.shell.popd();
    }
}
exports.launchOnSimulator = launchOnSimulator;
//# sourceMappingURL=launchOnSimulator.js.map