"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.launchRunner = void 0;
const ern_core_1 = require("ern-core");
const launchOnDevice_1 = require("./launchOnDevice");
const launchOnSimulator_1 = require("./launchOnSimulator");
async function launchRunner(config) {
    if (config.platform === 'android') {
        return launchAndroidRunner(config);
    }
    else if (config.platform === 'ios') {
        return launchIosRunner(config);
    }
}
exports.launchRunner = launchRunner;
async function launchAndroidRunner(config) {
    var _a, _b;
    return ern_core_1.android.runAndroidProject({
        launchFlags: (_a = config === null || config === void 0 ? void 0 : config.extra) === null || _a === void 0 ? void 0 : _a.launchFlags,
        packageName: (_b = config === null || config === void 0 ? void 0 : config.extra) === null || _b === void 0 ? void 0 : _b.packageName,
        projectPath: config.pathToRunner,
    });
}
async function launchIosRunner(config) {
    var _a, _b, _c, _d;
    const iosDevices = ern_core_1.ios.getiPhoneRealDevices();
    return iosDevices && iosDevices.length > 0
        ? (0, launchOnDevice_1.launchOnDevice)(config.pathToRunner, iosDevices, {
            launchArgs: (_a = config === null || config === void 0 ? void 0 : config.extra) === null || _a === void 0 ? void 0 : _a.launchArgs,
            launchEnvVars: (_b = config === null || config === void 0 ? void 0 : config.extra) === null || _b === void 0 ? void 0 : _b.launchEnvVars,
        })
        : (0, launchOnSimulator_1.launchOnSimulator)(config.pathToRunner, {
            launchArgs: (_c = config === null || config === void 0 ? void 0 : config.extra) === null || _c === void 0 ? void 0 : _c.launchArgs,
            launchEnvVars: (_d = config === null || config === void 0 ? void 0 : config.extra) === null || _d === void 0 ? void 0 : _d.launchEnvVars,
        });
}
//# sourceMappingURL=launchRunner.js.map